Name: ca_COMODO-RSA-CA
Version: 1.97
Release: 1
Source: ca_COMODO-RSA-CA-1.97.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_COMODO-RSA-CA-1.97/d4c339cb.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority COMODO-RSA-CA

%if %([ -n "http://www.comodo.com/" ] && echo 1 || echo 0)
URL: http://www.comodo.com/
%endif

%if %([ -n "ca_AddTrust-External-CA-Root = 1.97" ] && echo 1 || echo 0)
Requires: ca_AddTrust-External-CA-Root = 1.97
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_COMODO-RSA-CA-1.97

%description
This is the trust anchor for the classic accredited authority COMODO-RSA-CA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

